Skip to navigation

Delete Instruction Suggestions Id Notes Note Id

View as Markdown

Deletes any note on an instruction suggestion, whoever wrote it, when the caller is an organisation admin or can manage the published instruction it was raised on; other callers who can see it get 403.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Path parameters

idstringRequired
note_idstringRequired

Response

Deleted

Errors

403
Forbidden Error
404
Not Found Error